osgFX Namespace Reference

## Classes

class | AnisotropicLighting
class | BumpMapping
class | Cartoon
class | Effect
class | MultiTextureControl
class | Outline
class | Registry
class | Scribe
class | SpecularHighlights
class | Technique
class | Validator

## Detailed Description

The osgFX library is a NodeKit that extends the core scene graph to provide a special effects framework. osgFX's framework allows multiple rendering techniques to be provide for each effect, thereby provide the use appropriate rendering techniques for each different class of graphics hardware, i.e. support for both modern programmable graphics hardware and still have standard OpenGL 1.1 support as a fallback.